xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it
Safe Haskell | None

XMonad.Prompt.Theme

Contents

- Usage

Description

A prompt for changing the theme of the current workspace

Synopsis

- themePrompt :: XPConfig -> X ()
- data ThemePrompt

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Prompt
     import XMonad.Prompt.Theme

in your keybindings add:

       , ((modm .|. controlMask, xK_t), themePrompt defaultXPConfig)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

themePrompt :: XPConfig -> X ()Source

data ThemePrompt Source

Instances

XPrompt ThemePrompt |